# A layer
layerA = new Layer
	size: 250
	borderRadius: 9
	backgroundColor: "#877DD7"
	point: Align.center

# The initial state
layerA.states.initial =
	scale: 1
	rotation: 0

# Bouncier animation
layerA.animationOptions = curve: "spring(400, 30)"

# Enabling pinching
layerA.pinchable.enabled = yes

# Snapping back to the initial state
layerA.onPinchEnd ->
	@.animate "initial"


# Disabling the center origin
layerA.pinchable.centerOrigin = no

# Increase the rotation speed by 2 
layerA.pinchable.rotateFactor = 2
